Loading...
Searching...
No Matches
pcl::cuda::CheckPlanarInlier Struct Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

| CheckPlanarInlier (float4 coeff, float thresh)
template<typename Tuple>
__inline__ __host__ __device__ int | operator() (const Tuple &t)
| CheckPlanarInlier (float4 coeff, float thresh)
template<typename Tuple>
__inline__ __host__ __device__ int | operator() (const Tuple &t)

## Public Attributes

float4 | coefficients
float | threshold

## Detailed Description

Check if a certain tuple is a point inlier.

Definition at line 80 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## CheckPlanarInlier() [1/2]

pcl::cuda::CheckPlanarInlier::CheckPlanarInlier | ( | float4 | coeff,
|  | float | thresh )

inline

Definition at line 85 of file sac_model_1point_plane.h.

References coefficients, and threshold.

## CheckPlanarInlier() [2/2]

pcl::cuda::CheckPlanarInlier::CheckPlanarInlier | ( | float4 | coeff,
|  | float | thresh )

inline

Definition at line 68 of file sac_model_plane.h.

References coefficients, and threshold.

## Member Function Documentation

## operator()() [1/2]

template<typename Tuple>

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlier::operator() | ( | const Tuple & | t | ) |

## operator()() [2/2]

template<typename Tuple>

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlier::operator() | ( | const Tuple & | t | ) |

## Member Data Documentation

## coefficients

float4 pcl::cuda::CheckPlanarInlier::coefficients

Definition at line 82 of file sac_model_1point_plane.h.

Referenced by CheckPlanarInlier().

## threshold

float pcl::cuda::CheckPlanarInlier::threshold

Definition at line 83 of file sac_model_1point_plane.h.

Referenced by CheckPlanarInlier().

The documentation for this struct was generated from the following files:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h
- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_plane.h